# BackupUnitSSO

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**SsoUrl** | Pointer to **string** | The backup unit single sign on url | [optional] [readonly] |

## Methods

### NewBackupUnitSSO

`func NewBackupUnitSSO() *BackupUnitSSO`

NewBackupUnitSSO instantiates a new BackupUnitSSO object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewBackupUnitSSOWithDefaults

`func NewBackupUnitSSOWithDefaults() *BackupUnitSSO`

NewBackupUnitSSOWithDefaults instantiates a new BackupUnitSSO object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetSsoUrl

`func (o *BackupUnitSSO) GetSsoUrl() string`

GetSsoUrl returns the SsoUrl field if non-nil, zero value otherwise.

### GetSsoUrlOk

`func (o *BackupUnitSSO) GetSsoUrlOk() (*string, bool)`

GetSsoUrlOk returns a tuple with the SsoUrl field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetSsoUrl

`func (o *BackupUnitSSO) SetSsoUrl(v string)`

SetSsoUrl sets SsoUrl field to given value.

### HasSsoUrl

`func (o *BackupUnitSSO) HasSsoUrl() bool`

HasSsoUrl returns a boolean if a field has been set.



